image: python:3.6
stages:
  - pages

pages:
  stage: pages
  script:
  - pip install sphinx
  - pip install sphinxcontrib-blockdiag sphinxcontrib-nwdiag sphinx_rtd_theme
  - make html
  - mv build/html/ public/
  artifacts:
    paths:
    - public
  only:
  - master
